// 8949G1VCDlg.h : header file
//

#if !defined(AFX_8949G1VCDLG_H__401F9FE9_6955_456E_9939_C34D5519CF75__INCLUDED_)
#define AFX_8949G1VCDLG_H__401F9FE9_6955_456E_9939_C34D5519CF75__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMy8949G1VCDlg dialog
#include "DialogBasicMoveDlg.h"
#include "DialogIOTestDlg.h"
#include "DialogBaseParamSetDlg.h"

#include "DialogMoveHomeDlg.h"
#include "DialogDrawDemoDlg.h"

#include "CtrlCardSingletion.h"
#include "WaitDlg.h"
#include "TestDlg.h"


enum MAIN_TAB_INDEX
{
	MAIN_TAB_BASIC_MOVE = 0,
		MAIN_TAB_MOVEHOME,
		MAIN_TAB_IO_TEST,
		MAIN_TAB_BASEPARAM_SET,
		MAIN_TAB_DRAWDEMO,
};

class CMy8949G1VCDlg : public CDialog
{
// Construction
public:
	
	CMy8949G1VCDlg(CWnd* pParent = NULL);	// standard constructor
    BOOL TestInitCtrlCard();
	int InitCtrlCard();
	BOOL InitTitleBar();
	CFont   m_Font;
	CFont   m_FontVersion;
//	CTabCtrl	m_wndTabControl;

	CDialogBasicMoveDlg m_dlgBasicMove;
	CDialogMoveHomeDlg m_dlgMoveHome;
	CDialogIOTestDlg	m_dlgIOTest;
	CDialogBaseParamSetDlg m_dlgBaseParamSet;
	CDialogDrawDemoDlg	m_dlgDrawDemo;
	WaitDlg   m_WaitDlg;

	BOOL InitTabControl();
// Dialog Data
	//{{AFX_DATA(CMy8949G1VCDlg)
	enum { IDD = IDD_MY8949G1VC_DIALOG };
	CComboBox	m_cbCardID;
	CTabCtrl	m_wndTabControl;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMy8949G1VCDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMy8949G1VCDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeMainTab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonMainStop();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonMainClear();
	afx_msg void OnClose();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnCancelMode();
	afx_msg void OnButtonMainClear2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	void ReadInPutInfo();
	

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_8949G1VCDLG_H__401F9FE9_6955_456E_9939_C34D5519CF75__INCLUDED_)
